classification
Title: svn.python.org SSL certificate expired, causing test failures
Type: Stage: resolved
Components: Versions:
process
Status: closed Resolution: duplicate
Dependencies: Superseder: SSL tests failed due to expired svn.python.org SSL certificate
View: 25940
Assigned To: Nosy List: berker.peksag, koobs
Priority: high Keywords:

Created on 2015-12-25 14:10 by koobs, last changed 2015-12-25 15:24 by berker.peksag. This issue is now closed.

Messages (2)
msg256990 - (view) Author: Kubilay Kocak (koobs) (Python triager) Date: 2015-12-25 14:10
It appears all HTTPS/SSL tests that use the remote host svn.python.org are failing.

All branch builds (tests) are currently broken on koobs-freebsd-current. I think it's the only bot that has run builds post 24th December so far.

http://buildbot.python.org/all/builders/AMD64%20FreeBSD%20CURRENT%203.5/builds/21/steps/test/logs/stdio

Investigation reveals:

svn.python.org uses an invalid security certificate. 

The certificate is not trusted because the issuer certificate is unknown. The server might not be sending the appropriate intermediate certificates. An additional root certificate may need to be imported. 

The certificate expired on Friday, 25 December 2015 7:28 AM. The current time is Saturday, 26 December 2015 1:01 AM. 

(Error code: sec_error_unknown_issuer)

Have poked people in #python-infra
msg256993 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-12-25 15:24
Thanks koobs, this is a duplicate of issue 25940.
History
Date User Action Args
2015-12-25 15:24:31berker.peksagsetstatus: open -> closed

superseder: SSL tests failed due to expired svn.python.org SSL certificate

nosy: + berker.peksag
messages: + msg256993
resolution: duplicate
stage: resolved
2015-12-25 14:11:54koobssetpriority: normal -> high
2015-12-25 14:10:12koobscreate